package com.landray.kmss.sys.attachment.integrate.wps.cache;

import com.landray.kmss.util.StringUtil;
import com.landray.kmss.sys.cache.KmssCache;
import com.landray.kmss.sys.cache.CacheConfig;

public class WpsOfficeTokenCache
{
    private static CacheConfig config;
    private static KmssCache cache;
    
    static {
        WpsOfficeTokenCache.config = CacheConfig.get((Class)WpsOfficeTokenCache.class);
        WpsOfficeTokenCache.cache = new KmssCache((Class)WpsOfficeTokenCache.class, WpsOfficeTokenCache.config.setCacheType(3));
    }
    
    public static WpsOfficeTokenCache getInstance() {
        return Singleton.instance;
    }
    
    public void set(final String key, final String value) {
        WpsOfficeTokenCache.cache.put(key, (Object)value);
    }
    
    public String get(final String key) {
        return (String)WpsOfficeTokenCache.cache.get(key);
    }
    
    public void delete(final String key) {
        WpsOfficeTokenCache.cache.remove(key);
    }
    
    public Boolean isExist(final String key) {
        final String value = (String)WpsOfficeTokenCache.cache.get(key);
        if (StringUtil.isNotNull(value)) {
            return true;
        }
        return false;
    }
    
    static class Singleton
    {
        private static WpsOfficeTokenCache instance;
        
        static {
            Singleton.instance = new WpsOfficeTokenCache();
        }
    }
}
